﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace _320795_PanelBarExample
{
	public partial class MainPage : UserControl
	{
		RadTreeViewItem currentItem;
		public MainPage()
		{
			InitializeComponent();
			treeView.ItemsSource = GenerateItems();
		}

		public List<DataItem> GenerateItems()
		{
			List<DataItem> result = new List<DataItem>();

			for (int i = 1; i < 9; i++)
			{
				DataItem item = new DataItem()
				{
					Header = String.Format("Item {0}", i),
					ItemId = i
				};
				for (int j = 0; j < 5; j++)
				{
					item.Children.Add(new DataItem()
					{
						Header = String.Format("Item {0}.{1}", i, j),
						ItemId = i * j
					});
				}
				result.Add(item);
			}
			return result;
		}
	}
}
