﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace _320795_PanelBarExample
{
	public class CategoryViewModel : ViewModelBase
	{
		private String title;
		public String Title
		{
			get
			{
				return this.title;
			}
			set
			{
				if (this.title != value)
				{
					this.title = value;
					OnPropertyChanged("Title");
				}
			}
		}

		
		private String description;
		public String Description
		{
			get
			{
				return this.description;
			}
			set
			{
				if (this.description != value)
				{
					this.description = value;
					OnPropertyChanged("Description");
				}
			}
		}

		
		private DateTime year;
		public DateTime Year
		{
			get
			{
				return this.year;
			}
			set
			{
				if (this.year != value)
				{
					this.year = value;
					OnPropertyChanged("Year");
				}
			}
		}

		public CategoryViewModel(int id)
		{
			this.Title = String.Format("Title {0}", id);
			this.Year = new DateTime(id);
			this.Description = String.Format("Description {0}", id);
		}
	}
}
