﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace _320795_PanelBarExample
{
	public class DataItem : ViewModelBase
	{
		public DataItem()
		{
			Children = new ObservableCollection<DataItem>();
		}
		
		private String header;
		public String Header
		{
			get
			{
				return this.header;
			}
			set
			{
				if (this.header != value)
				{
					this.header = value;
					OnPropertyChanged("Header");
				}
			}
		}

		
		private int itemID;
		public int ItemId
		{
			get
			{
				return this.itemID;
			}
			set
			{
				if (this.itemID != value)
				{
					this.itemID = value;
					this.CategoryVM = new CategoryViewModel(this.ItemId);
					OnPropertyChanged("ItemId");
				}
			}
		}

		public ObservableCollection<DataItem> Children { get; set; }

		private CategoryViewModel categoryVM;
		public CategoryViewModel CategoryVM
		{
			get
			{
				return this.categoryVM;
			}
			set
			{
				if (this.categoryVM != value)
				{
					this.categoryVM = value;
					OnPropertyChanged("CategoryVM");
				}
			}
		}

	}
}
